<?php
include_once "../lib/common.php";
include_once "../lib/class.simple_mail.php";
include_once "../lib/models/admin.php";
include_once "../lib/models/adminsecurity.php";
include_once "../lib/models/persona.php";
include_once "../lib/models/prize.php";
include_once "../lib/models/lottery.php";


AdminSecurity::SessionCheck();


if($_SERVER['REQUEST_METHOD'] == 'POST') {

    $mode = $_POST['mode']; 
    switch ($mode) {
    case "change_admin":
        AdminCls::editAdmin($_POST['id'], $_POST['login'], $_POST['password']); 
		header(getRedirectPath('adminzone.php'));
        break;
    case "update_number_of_tickets":
		Persona::updateNumberOfTickets($_POST['number_of_tickets'], $_POST['id']);
		header(getRedirectPath('adminzone.php'));
        break;
    case "delete_user":
		$delete_user = Persona::deletePersona($_POST['id']);
		switch ($delete_user) {
			case "linkexist":
		   		header(getRedirectPath('adminzone.php?message=linkexist'));
               	break;
			default:
               	header(getRedirectPath('adminzone.php'));
		}
        break;		
    case "change_activity_user":
		Persona::ChangeActivityPerson($_POST['id'], $_POST['active']);
		header(getRedirectPath('adminzone.php'));
        break;
    case "send_password":
		if (Persona::SendPassword($_POST['email'])) {
			header(getRedirectPath('adminzone.php?message=emailtrue'));
		} else {
			header(getRedirectPath('adminzone.php?message=emailfalse'));
		}
	    break;
    case "add_prize":
		$add_prize = Prize::addPrize($_POST['name'], $_POST['description']);
		switch ($add_prize) {
			case "emptyfieldfound":
		    	header(getRedirectPath('adminzone.php?message=emptyfieldfound'));
                break;
			case "prizealreadyexist":
		    	header(getRedirectPath('adminzone.php?message=prizealreadyexist'));
                break;
			default:
                header(getRedirectPath('adminzone.php'));
		}
        break;
    case "edit_prize":
		$edit_prize = Prize::editPrize($_POST['id'], $_POST['name'], $_POST['description']);
		switch ($edit_prize) {
			case "emptyfieldfound":
		   		header(getRedirectPath('adminzone.php?message=emptyfieldfound'));
               	break;
			case "prizealreadyexist":
		   		header(getRedirectPath('adminzone.php?message=prizealreadyexist'));
               	break;
			default:
               	header(getRedirectPath('adminzone.php'));
		}
        break;
    case "delete_prize":
        $delete_prize = Prize::deletePrize($_POST['id']);
		switch ($delete_prize) {
			case "linkexist":
		   		header(getRedirectPath('adminzone.php?message=linkexist'));
               	break;
			default:
               	header(getRedirectPath('adminzone.php'));
		}
	    break;
		
		
    case "add_lottery":
		$add_lottery = Lottery::addLottery($_POST['name'], $_POST['description'], $_POST['date_draw']);
		switch ($add_lottery) {
			case "emptyfieldfound":
		    	header(getRedirectPath('adminzone.php?message=emptyfieldfound'));
                break;
			case "notvaliddate":
		    	header(getRedirectPath('adminzone.php?message=notvaliddate'));
                break;
			default:
                header(getRedirectPath('adminzone.php'));
		}
        break;
    case "edit_lottery":
		$edit_lottery = Lottery::editLottery($_POST['id'], $_POST['name'], $_POST['description'], $_POST['date_draw']);
		switch ($edit_lottery) {
			case "emptyfieldfound":
		   		header(getRedirectPath('adminzone.php?message=emptyfieldfound'));
               	break;
			case "notvaliddate":
		    	header(getRedirectPath('adminzone.php?message=notvaliddate'));
                break;
			default:
               	header(getRedirectPath('adminzone.php'));
		}
        break;
    case "delete_lottery":
        $delete_lottery = Lottery::deleteLottery($_POST['id_lottery']);
		switch ($delete_lottery) {
			case "linkexist":
		   		header(getRedirectPath('adminzone.php?message=linkexist'));
               	break;
			default:
               	header(getRedirectPath('adminzone.php'));
		}
        break;

	
	case "add_prize_lottery":
		Prize::addPrizeLottery($_POST['id_prize'], $_POST['id_lottery']);
        header(getRedirectPath('adminzone.php'));
        break;
	case "delete_prize_lottery":
		Prize::deletePrizeLottery($_POST['pl_id']);
        header(getRedirectPath('adminzone.php'));
        break;


	case "determine_lottery_winner":
		Lottery::determineLotteryWinner($_POST['id_lottery']);
        header(getRedirectPath('adminzone.php'));
        break;


	case "plus_one_ticket":
		Lottery::plusOneTicket();
        header(getRedirectPath('adminzone.php'));
        break;
    }
}
?>