<?php
define('FEEDBACK_EMAIL', 'your@mail.here');

$global_message["emailtrue"]="Information successfully emailed";
$global_message["emailadminfalse"]="Information not sent, check common.php";
$global_message["emailfalse"]="Information not sent";
$global_message["loginfalse"]="Incorrect login or password";
$global_message["sessionexpired"]="Session expired";
$global_message["notvalidemail"]="Not valid E-Mail";
$global_message["notvaliddate"]="Not valid date";
$global_message["deletesuccessfully"]="Delete successfully";
$global_message["loginalreadyexist"]="Login already exist";
$global_message["emailalreadyexist"]="Email already exist";
$global_message["emptyfieldfound"]="Found an empty field";
$global_message["prizealreadyexist"]="Prize (name) already exist";
$global_message["linkexist"]="Object link exist";




function connectDB() {
    $mysqli = new mysqli('localhost', 'root', '', 'lottery_db');
    if (mysqli_connect_errno()) die("Connect failed: ".mysqli_connect_error());
    $mysqli->query("SET NAMES utf8");
    return $mysqli;
}




function pickmeupInit($arrLotteries) {
	if (is_array($arrLotteries)) {
		if (count($arrLotteries) > 0) {
			?>
			<script type="text/javascript">
			<?php
			foreach ($arrLotteries as $current_lottery) :
			?>
			addEventListener('DOMContentLoaded', function () {
				pickmeup('.pickmeup_my<?= $current_lottery['id'] ?>', {
					position       : 'right',
					format	: 'Y-m-d',
					default_date : false,
					hide_on_select : true
				});
			});			
			<?php
			endforeach;
			?>
			</script> 
			<?php
		}
	}
}




/* 
 * Redirecting the browser to another page in the same directory as originally requested
 * Перенаправление браузера на другую страницу в той же директории, что и изначально запрошенная
 */
function getRedirectPath($extra) {
	$host  = $_SERVER['HTTP_HOST'];
	$uri   = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');
    return "Location: http://$host$uri/$extra";
}




function SessionExist() {
	if (session_status() == PHP_SESSION_NONE) {
		session_start();
	}
// For versions of PHP < 5.4.0
	/*if(session_id() == '') {
		session_start();
	}*/
}




function SessionDrop() {
    session_start();
    session_unset();
    session_destroy();
    session_write_close();
    setcookie(session_name(),'',0,'/');
//    session_regenerate_id(true);
}




function CheckMail($email) {
	return filter_var($email, FILTER_VALIDATE_EMAIL) !== false;
}




function SendMail($email, $name, $subject, $message) {
	$mail = SimpleMail::make()
		->setTo($email, $name)
		->setSubject($subject)
		->setFrom(FEEDBACK_EMAIL, 'Mail Bot')
		->setReplyTo(FEEDBACK_EMAIL, 'Mail Bot')
		->addGenericHeader('X-Mailer', 'PHP/' . phpversion())
		->setHtml()
		->setMessage($message)
		->setWrap(78);
	return $mail->send();
	//echo $mail->debug();
}




/* 
 * Draw message
 */
function drawMessage($message) {
    echo '<B><font color="red">'. $message .'</font></B><BR><BR>';
}




/* 
 * Check message
 */
function checkMessage() {
	global $global_message;
	if(isset($_GET['message'])){
		drawMessage($global_message[$_GET['message']]);
	}
}




/*
Check empty field - return true if exist
 */
function CheckEmptyFieldExist($arrFields)
{
	if (is_array($arrFields)) {
		foreach ($arrFields as $current_field) :
			if ($current_field == '') {
				return true;
			}
		endforeach;
	}
	return false;
}




/*
 This value in field (game_login or email) is unique?
 False if this is already in the database
 *** when editing with yourself do not compare (id here to help); if add $id = 0 ***
 */
function CheckUniqueField($table, $field, $value, $id = 0)
{
    global $mysqli;
		
	if ($field == 'email') {
		$value = strtolower($value);
	}
		
    $query = "SELECT id 
        FROM ". $table ."
        WHERE ". $field ." = ? AND id <> ?";
    if ($stmt = $mysqli->prepare($query)) {
        $stmt->bind_param('si', $value, $id);
        $stmt->execute();
        $stmt->bind_result($id);
        if ($stmt->fetch()) {
            $check_return = false;
		} else {
            $check_return = true;
		}
        $stmt->close();
    }
    return $check_return;
}




function bCheckDate($dDate)
{
	if (strlen ($dDate) == 0) {
		return true;
	}
	if (strlen ($dDate) == 10) {
		// substr($dDate, 0, 4); // Year
		// substr($dDate, 5, 2); // Month
		// substr($dDate, 8, 2); // Day
		return checkdate ( substr($dDate, 5, 2), substr($dDate, 8, 2), substr($dDate, 0, 4));
	} else {
		return false;
	}
}




function dnParseDate($dDate)
{
	return (strlen ($dDate) == 10) ? date("Y-m-d", strtotime($dDate)) : null; // $dDate or Is Date, or Empty (null);
}




$mysqli = connectDB();

?>