<?php

/*
 * Model AdminSecurity
 * Модель Безопасности Администратора
 */
class AdminSecurity
{
    /*
     * Default admin session value
     * Значение сессии администратора по-умолчанию
     */
    public static function getDefaultAdminSessionValue()
    {
		return 'admin';
    }



	 /*
     * Default admin session key
     * Значение ключа сессии администратора по-умолчанию
     */
    public static function getDefaultAdminSessionKey()
    {
		return 'login';
    }
	
	
	
    /*
     * Session setup
     * Установка сессии
     */
    public static function SessionSetup()
    {
		SessionExist();
        $_SESSION[AdminSecurity::getDefaultAdminSessionKey()] = AdminSecurity::getDefaultAdminSessionValue();
    }


	
    /*
     * Session check
     * Проверка сессии
     */
    public static function SessionCheck()
    {
		SessionExist();
		// if there is no such key in the session
		if (!(array_key_exists(AdminSecurity::getDefaultAdminSessionKey(), $_SESSION))) {
			header(getRedirectPath('index.php?message=sessionexpired'));
		}
		// if the key value does not match the administrator value
		if  (!(strcasecmp($_SESSION[AdminSecurity::getDefaultAdminSessionKey()], AdminSecurity::getDefaultAdminSessionValue() == 0))) {
			header(getRedirectPath('index.php?message=sessionexpired'));
		}
    }
}
?>